apiVersion: apps/v1
kind: Deployment
metadata:
  name: nginx-deployment
  labels:
    env: dev
    app: app-name
    tier: frontend
    server: nginx
spec:
  replicas: 3
  strategy:
    type: RollingUpdate
  selector:
    matchLabels:
      env: dev
      app: app-name
  template:
    metadata:
      name: nginx-pod
      labels:
        env: dev
        app: app-name
        tier: frontend
    spec:
      containers:
      - name: nginx
        image: nginx
        ports:
        - containerPort: 80
